#ifndef __Nst_circuits_h__
#  define __Nst_circuits_h__

extern unitptr nst_current_circuit(void);
extern unitptr nst_fscanf_circuit(FILE*,unitptr);
extern unitptr nst_create_circuit_from_file(char*,char*,char*,char*,unitptr);
extern unitptr nst_create_circuit(FILE*,dialog_var_t*,unitptr);
extern unitptr nst_create_circuit_from_file(char*,char*,char*,char*,unitptr);
extern void    nst_read_dialog_data(FILE*,dialog_var_t*,int*,int*,float*,int*,char**);

extern void nst_mark_bgn_of_description(FILE*, char*); 
extern void nst_mark_end_of_description(FILE*, char*);
extern void nst_mark_end_of_circuit(FILE*);
extern void nst_mark_bgn_of_data(FILE*);
extern void nst_mark_end_of_file(FILE*);

extern int  nst_data_file_follows(FILE*);
extern int  nst_loaded_open_circuit(void);
extern int  nst_is_end_of_description(char*);

extern int     nst_nr_of_circuit(void);
extern unitptr nst_circuit(int);
extern dialog_var_t *nst_global_var(void);
extern void    nst_set_global_var(dialog_var_t*, char*);
extern char   *nst_global_dialog(void);
extern char   *nst_format_info(void);
extern unitptr nst_current_circuit(void);
extern void    nst_replace_toplevel_circuit(char**);

void nst_save_call_level(void);
void nst_restore_call_level(void);

#endif

