/********************************************************************
 *
 *   header file for Neo8.c 
 *
 ********************************************************************/
#ifndef __NEO8_H
#define __NEO8_H

extern void  NeoSetDefaultStretchFactors (void);
extern void  NeoSetXStretchFactor (float fX);
extern float NeoXStretchFactor (void);

extern int NeoCanSaveCircuitForLoadableFolder(
   int iMajorVersion, int iMinorVersion, unitptr uIconToSave);

extern int   NeoCmpDialogs(unitptr uWdw1, unitptr uWdw2);
extern char* NeoFindHeaderParameter(FILE *fp, char *acKeyWord);
extern char* NeoFormatInfo(void);
extern unitptr NeoGetUserWdw(char *pcDir, char *pcFile);
extern char* NeoReadHeaderInfo(FILE *fp, unsigned long *piFlags, int *piOpnds, 
                               int *piVirtualOpnds, int *piCancelled, unitptr uHostIcon);
extern FILE* NeoRedefineUserDefWdw(FILE *fp, int *piFormat);

extern void NeoSaveCircuit(FILE *fp, unitptr uIconToSave);
extern void NeoSaveCircuitForLoadableFolder(FILE *fp, unitptr uIconToSave);
extern void NeoSaveIcon(FILE *fp, unitptr u);

extern int NeoWarnAboutDumbDummyUnits(unitptr uIconToSave);
extern void NeoModifyDummyIcon(unitptr uIcon);
extern int isDummyIcon(unitptr uIcon);
extern int isSubcircuit(char *pcToken);

extern int load_icon_unit(FILE *fp, unitptr uHost);
extern int save_icon_unit(FILE *fp, unitptr u);

#endif /* __NEO8_H */
