/********************************************************************
 *
 *   header file for neo_main-4.c 
 *
 ********************************************************************/

#ifndef __NEO_MAIN_4_H
#define __NEO_MAIN_4_H

extern int nst_file_type (FILE *fp);
extern void EndLoadingMessage (void);
extern unitptr NeoLoadCircuitFileIntoBuffer (int iAskPermission, int iAllowAutoStart, FILE *fp);
extern int NeoLoadDataIntoCircuit (FILE *fp, unitptr uLoadBuffer);
extern void NeoUpdateCircuitWindowTitle (char *pcTitle);
extern void NeoReplaceCurrentCircuitWithBuffer (unitptr uLoadBuffer, unitptr uDestIcon, int iIsOpenCircuit);
extern void NeoMakeRootIcons (void);
extern void NeoCmdMove (volatile int *piSrcCircuit, int *piReenableAutoStart, unitptr *puMoveIcons, unitptr *puSrcOfMove, volatile unitptr *puRootIconBeforeMove);
extern void NeoSetCircuitName (char *pcFileName);
extern void NeoEnableAutoStart (void);
extern int NeoMarkCircuitBufferAsFree (int iYes, int iCircuit, int iAskPermission);
extern void NeoSetCurrentCircuit (int iNewCircuit);

extern void NeoClearAllCircuits(void);

#endif /* __NEO_MAIN_4_H */

