#ifndef _NST_VAR_LIST_H
#define _NST_VAR_LIST_H

// assume double is the largest datatype;
typedef union {
  void* _void;
  char* _string;
  char _char;
  int _int; 
  float _float;
  double _double;
} VARLIST_DATATYPE;

typedef VARLIST_DATATYPE* nst_var_list;

#define create_var_list(len) \
  (nst_var_list) CALLOC(len,VARLIST_DATATYPE)
#define destroy_var_list(list) \
  if (list) free(list)

#define nst_var_start(nst_var_list,typeArg)
#define nst_var_end(nst_var_list) nst_var_list=NULL;
#define nst_var_arg(nst_var_list,type) \
  ((nst_var_list++)->_##type)

#endif /* _NST_VAR_LIST_H */
