/***********************************************************************

 include file nst_stdr.h 

***********************************************************************/
#ifndef __NST_STDR_H
#define __NST_STDR_H

extern int exec_virtual_unit(unitptr);
#define isVirtualUnit(U) ((U) && ((U)->exec==exec_virtual_unit))
extern unitptr getOperandOf(unitptr);
extern int isOperator(unitptr);
extern int isOperand(unitptr);

extern int NstCtrlModeStrToNum(char *pcFmt);
extern int *piMakeModeArray(char *pcModes);

extern int nst_is_no_op(unitptr);
extern int nst_is_switch_op_unit(unitptr);
extern int nst_is_ctrl_op_unit(unitptr);
extern int nst_is_virtual_unit(unitptr);
extern int nst_is_return_unit(unitptr);
extern int nst_is_use_named_unit(unitptr);
extern int nst_is_virtual_for_op(unitptr);

extern unitptr my_path(int,char*,unitptr);
extern unitptr if_op(int,char*,unitptr);
extern unitptr no_op(int,unitptr);
extern unitptr for_op(int,int,char*,unitptr);
extern unitptr multi_for_op(int,int,int*,float*,float*,char*,unitptr);
extern unitptr virtual_for_op(int,int,int,char*,unitptr);

extern unitptr use_named_unit(char*,int*,int*,int*,int*,unitptr);
extern unitptr use_named_unit1(char*,int,char*[],int*,int,char*[],int*,unitptr);
extern unitptr virtual_unit(int,int*,int*,int*,int*,unitptr);
extern unitptr virtual_unit1(int,int,char*[],int*,int,char*[],int*,unitptr);
extern unitptr switch_op(int,char*[],unitptr);
extern unitptr switch_input(int,int,unitptr);
extern unitptr switch_output(int,int,unitptr);
extern unitptr ctrl_op(int,int,int*,int*,unitptr);  /* changed! */
extern unitptr splitter(int, ...);
extern unitptr merger(int, ...);
extern unitptr merger1(int*,unitptr);
extern unitptr splitter1(int*,unitptr);
extern unitptr return_unit(unitptr);
extern unitptr break_unit(unitptr);
extern unitptr while_idle(int iOperands, float fDelta, int iPriority, 
                          char *pcOptions, unitptr uHost);

extern unitptr find_unit_by_name(char*,unitptr,int);

extern int nst_enable_idle_tasks(int iYes);
extern int nst_has_idle_tasks(int iPriority);
extern int nst_service_idle_tasks(int);

#endif
